# PulpFileClient::ExportersFilesystemApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](ExportersFilesystemApi.md#create) | **POST** /pulp/api/v3/exporters/file/filesystem/ | Create a file filesystem exporter
[**delete**](ExportersFilesystemApi.md#delete) | **DELETE** {file_file_filesystem_exporter_href} | Delete a file filesystem exporter
[**list**](ExportersFilesystemApi.md#list) | **GET** /pulp/api/v3/exporters/file/filesystem/ | List file filesystem exporters
[**partial_update**](ExportersFilesystemApi.md#partial_update) | **PATCH** {file_file_filesystem_exporter_href} | Update a file filesystem exporter
[**read**](ExportersFilesystemApi.md#read) | **GET** {file_file_filesystem_exporter_href} | Inspect a file filesystem exporter
[**update**](ExportersFilesystemApi.md#update) | **PUT** {file_file_filesystem_exporter_href} | Update a file filesystem exporter



## create

> FileFileFilesystemExporterResponse create(file_file_filesystem_exporter)

Create a file filesystem exporter

FilesystemExporters export content from a publication to a path on the file system.  WARNING: This feature is provided as a tech preview and may change in the future. Backwards compatibility is not guaranteed.

### Example

```ruby
# load the gem
require 'pulp_file_client'
# setup authorization
PulpFileClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpFileClient::ExportersFilesystemApi.new
file_file_filesystem_exporter = PulpFileClient::FileFileFilesystemExporter.new # FileFileFilesystemExporter | 

begin
  #Create a file filesystem exporter
  result = api_instance.create(file_file_filesystem_exporter)
  p result
rescue PulpFileClient::ApiError => e
  puts "Exception when calling ExportersFilesystemApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **file_file_filesystem_exporter** | [**FileFileFilesystemExporter**](FileFileFilesystemExporter.md)|  | 

### Return type

[**FileFileFilesystemExporterResponse**](FileFileFilesystemExporterResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## delete

> AsyncOperationResponse delete(file_file_filesystem_exporter_href)

Delete a file filesystem exporter

Trigger an asynchronous delete task

### Example

```ruby
# load the gem
require 'pulp_file_client'
# setup authorization
PulpFileClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpFileClient::ExportersFilesystemApi.new
file_file_filesystem_exporter_href = 'file_file_filesystem_exporter_href_example' # String | 

begin
  #Delete a file filesystem exporter
  result = api_instance.delete(file_file_filesystem_exporter_href)
  p result
rescue PulpFileClient::ApiError => e
  puts "Exception when calling ExportersFilesystemApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **file_file_filesystem_exporter_href** | **String**|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list

> PaginatedfileFileFilesystemExporterResponseList list(opts)

List file filesystem exporters

FilesystemExporters export content from a publication to a path on the file system.  WARNING: This feature is provided as a tech preview and may change in the future. Backwards compatibility is not guaranteed.

### Example

```ruby
# load the gem
require 'pulp_file_client'
# setup authorization
PulpFileClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpFileClient::ExportersFilesystemApi.new
opts = {
  limit: 56, # Integer | Number of results to return per page.
  name: 'name_example', # String | 
  name__contains: 'name__contains_example', # String | Filter results where name contains value
  name__icontains: 'name__icontains_example', # String | Filter results where name contains value
  name__in: ['name__in_example'], # Array<String> | Filter results where name is in a comma-separated list of values
  name__startswith: 'name__startswith_example', # String | Filter results where name starts with value
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List file filesystem exporters
  result = api_instance.list(opts)
  p result
rescue PulpFileClient::ApiError => e
  puts "Exception when calling ExportersFilesystemApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **name** | **String**|  | [optional] 
 **name__contains** | **String**| Filter results where name contains value | [optional] 
 **name__icontains** | **String**| Filter results where name contains value | [optional] 
 **name__in** | [**Array&lt;String&gt;**](String.md)| Filter results where name is in a comma-separated list of values | [optional] 
 **name__startswith** | **String**| Filter results where name starts with value | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedfileFileFilesystemExporterResponseList**](PaginatedfileFileFilesystemExporterResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## partial_update

> AsyncOperationResponse partial_update(file_file_filesystem_exporter_href, patchedfile_file_filesystem_exporter)

Update a file filesystem exporter

Trigger an asynchronous partial update task

### Example

```ruby
# load the gem
require 'pulp_file_client'
# setup authorization
PulpFileClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpFileClient::ExportersFilesystemApi.new
file_file_filesystem_exporter_href = 'file_file_filesystem_exporter_href_example' # String | 
patchedfile_file_filesystem_exporter = PulpFileClient::PatchedfileFileFilesystemExporter.new # PatchedfileFileFilesystemExporter | 

begin
  #Update a file filesystem exporter
  result = api_instance.partial_update(file_file_filesystem_exporter_href, patchedfile_file_filesystem_exporter)
  p result
rescue PulpFileClient::ApiError => e
  puts "Exception when calling ExportersFilesystemApi->partial_update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **file_file_filesystem_exporter_href** | **String**|  | 
 **patchedfile_file_filesystem_exporter** | [**PatchedfileFileFilesystemExporter**](PatchedfileFileFilesystemExporter.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## read

> FileFileFilesystemExporterResponse read(file_file_filesystem_exporter_href, opts)

Inspect a file filesystem exporter

FilesystemExporters export content from a publication to a path on the file system.  WARNING: This feature is provided as a tech preview and may change in the future. Backwards compatibility is not guaranteed.

### Example

```ruby
# load the gem
require 'pulp_file_client'
# setup authorization
PulpFileClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpFileClient::ExportersFilesystemApi.new
file_file_filesystem_exporter_href = 'file_file_filesystem_exporter_href_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect a file filesystem exporter
  result = api_instance.read(file_file_filesystem_exporter_href, opts)
  p result
rescue PulpFileClient::ApiError => e
  puts "Exception when calling ExportersFilesystemApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **file_file_filesystem_exporter_href** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**FileFileFilesystemExporterResponse**](FileFileFilesystemExporterResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## update

> AsyncOperationResponse update(file_file_filesystem_exporter_href, file_file_filesystem_exporter)

Update a file filesystem exporter

Trigger an asynchronous update task

### Example

```ruby
# load the gem
require 'pulp_file_client'
# setup authorization
PulpFileClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpFileClient::ExportersFilesystemApi.new
file_file_filesystem_exporter_href = 'file_file_filesystem_exporter_href_example' # String | 
file_file_filesystem_exporter = PulpFileClient::FileFileFilesystemExporter.new # FileFileFilesystemExporter | 

begin
  #Update a file filesystem exporter
  result = api_instance.update(file_file_filesystem_exporter_href, file_file_filesystem_exporter)
  p result
rescue PulpFileClient::ApiError => e
  puts "Exception when calling ExportersFilesystemApi->update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **file_file_filesystem_exporter_href** | **String**|  | 
 **file_file_filesystem_exporter** | [**FileFileFilesystemExporter**](FileFileFilesystemExporter.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

