# PulpFileClient::FileFileRemoteResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**name** | **String** | A unique name for this remote. | 
**url** | **String** | The URL of an external content source. | 
**ca_cert** | **String** | A PEM encoded CA certificate used to validate the server certificate presented by the remote server. | [optional] 
**client_cert** | **String** | A PEM encoded client certificate used for authentication. | [optional] 
**tls_validation** | **Boolean** | If True, TLS peer validation must be performed. | [optional] 
**proxy_url** | **String** | The proxy URL. Format: scheme://host:port | [optional] 
**pulp_labels** | [**Object**](.md) |  | [optional] 
**pulp_last_updated** | **DateTime** | Timestamp of the most recent update of the remote. | [optional] [readonly] 
**download_concurrency** | **Integer** | Total number of simultaneous connections. | [optional] 
**policy** | [**PolicyEnum**](PolicyEnum.md) | The policy to use when downloading content. The possible values include: &#39;immediate&#39;, &#39;on_demand&#39;, and &#39;streamed&#39;. &#39;immediate&#39; is the default. | [optional] 
**total_timeout** | **Float** | aiohttp.ClientTimeout.total (q.v.) for download-connections. | [optional] 
**connect_timeout** | **Float** | aiohttp.ClientTimeout.connect (q.v.) for download-connections. | [optional] 
**sock_connect_timeout** | **Float** | aiohttp.ClientTimeout.sock_connect (q.v.) for download-connections. | [optional] 
**sock_read_timeout** | **Float** | aiohttp.ClientTimeout.sock_read (q.v.) for download-connections. | [optional] 
**headers** | **Array&lt;Object&gt;** | Headers for aiohttp.Clientsession | [optional] 
**rate_limit** | **Integer** | Limits total download rate in requests per second | [optional] 

## Code Sample

```ruby
require 'PulpFileClient'

instance = PulpFileClient::FileFileRemoteResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 name: null,
                                 url: null,
                                 ca_cert: null,
                                 client_cert: null,
                                 tls_validation: null,
                                 proxy_url: null,
                                 pulp_labels: null,
                                 pulp_last_updated: null,
                                 download_concurrency: null,
                                 policy: null,
                                 total_timeout: null,
                                 connect_timeout: null,
                                 sock_connect_timeout: null,
                                 sock_read_timeout: null,
                                 headers: null,
                                 rate_limit: null)
```


